跳转到主要内容
GET
/
v2
/
enterprise
/
sessions
/
insights
列出会话详细信息
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/sessions/insights \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "acus_consumed": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "initial_user_message": "<string>",
      "org_id": "<string>",
      "pull_requests": [
        {
          "url": "<string>",
          "state": "<string>"
        }
      ],
      "session_analysis": {
        "suggested_prompt": {
          "feedback_items": [
            {
              "details": "<string>",
              "excerpt": "<string>",
              "issue_id": "<string>",
              "summary": "<string>"
            }
          ],
          "original_prompt": "<string>",
          "suggested_prompt": "<string>"
        },
        "action_items": [],
        "issues": [],
        "timeline": []
      },
      "session_id": "<string>",
      "status": "new",
      "tags": [
        "<string>"
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "title": "<string>",
      "user_id": "<string>"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

需要 Enterprise 管理员的个人 API key。 返回你所在企业中所有 Devin 会话的分页列表,包括全面的会话分析、初始用户消息、pull request 信息以及 ACU 消耗数据。相比基础接口 List Enterprise Sessions,此端点提供更详细的信息。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

查询参数

skip
integer
默认值:0
必填范围: x >= 0
limit
integer
默认值:100
必填范围: 1 <= x <= 200
created_date_from
string<date-time> | null
created_date_to
string<date-time> | null
updated_date_from
string<date-time> | null
updated_date_to
string<date-time> | null
org_ids
string[] | null
user_ids
string[] | null
session_ids
string[] | null

响应

成功响应

has_more
boolean
必填
items
SessionDetailResponse · object[]
必填
limit
integer
必填
skip
integer
必填
total
integer
必填
next_cursor
integer | null